% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/PPP.R
\name{PPP}
\alias{PPP}
\title{Compute Posterior Predictive P-Values}
\usage{
PPP(fittedModel, M = 1000, nCPU = 4, T2 = TRUE)
}
\arguments{
\item{fittedModel}{fitted latent-trait or beta MPT model (\code{\link{traitMPT}}, \code{\link{betaMPT}})}

\item{M}{number of posterior predictive samples. As a maximum, the number of posterior samples in \code{fittedModel} is used.}

\item{nCPU}{number of CPUs used for parallel sampling. For large models and many participants, this requires a lot of memory.}

\item{T2}{whether to compute T2 statistic to check coveriance structure (can take a lot of time)}
}
\description{
Computes posterior predictive p-values to test model fit.
}
\author{
Daniel Heck
}
\references{
Klauer, K. C. (2010). Hierarchical multinomial processing tree models: A latent-trait approach. Psychometrika, 75, 70-98.
}

